--Swanson Proving Grounds Road Course

--You Can use 0, 1, -1 instead. 
local STRAIGHT = 0
local LEFT = 1 
local RIGHT = -1


Track =
{
	Name = "SPG - Road Course",
	--Track Image Info
	--Track Image must be 1280 x 720
	--Start Position on the Image x,y from Top Left
	Start = { 202, 383 },
	
	--How many pixels per meter ( Pixels / Length )
	--Measure a long straight and then manipulate from there
	Scale = 10.5 / 10,


	Layout = {			0,			RIGHT,		0,			LEFT,		0,			RIGHT,		0,			LEFT,		0,		
						RIGHT,		LEFT,		0,			RIGHT,		0,			LEFT,		0,			LEFT,		LEFT,
						LEFT,		LEFT,		0,			RIGHT,		0,			RIGHT,		0,			RIGHT,		0,	
						LEFT,		0,			RIGHT,		RIGHT,		0,			LEFT,		0,			RIGHT,		LEFT,		
						0,			LEFT,		0,			LEFT,		0,			RIGHT,		0,			LEFT,		LEFT,		
						LEFT,		0,			LEFT,		0,			RIGHT,		RIGHT,		0,			RIGHT,		0,	
						0,			LEFT,		0,			RIGHT,		0,			LEFT,		0,			RIGHT,		LEFT,	
						0,			LEFT,		LEFT,		0,			LEFT,		0,			LEFT,		LEFT,		0,	
						RIGHT,		LEFT,		
	},	-- Straight 0 , Corner Left 1, Corner Right -1
	LayoutInfo = {    	229,		70,			11,			85,			27,			110,		37,			79,			18,			
						56,			77,			65,			23,			50,			37,			138,		7,			160,
						7,			3,			125,		49,			110,		65,			35, 		106,		110,		
						99,			45,			40,			28,			40,			115,		25,			35,			78,			
						105,		20,			120,		9,			150,		38,			50,			38,			34,		
						125,		105,		8,			405,		25,			145,		40,			10,			50,		
						100,		14,			75,			25,			105,		14,			85,			62,			20,	
						65,			25,			82,			60,			15,			60,			25,			73,			120,		
						80,			80,					
	},	-- Straight Length [m] or Corner Angle [°]
	CornerRadius = {    0,			25,			0,			27,			0,			25,			0,			51,			0,			
						125,		65,			0,			100,		0,			70,			0,			210,		28,
						80,			100,		0,			140,		0,			90,			0,			30,			0,	
						32,			0,			125,		110,		0,			60,			0,			45,			40,		
						0,			90,			0,			30,			0,			130,		0,			170,		160,		
						35,			0,			55,			0,			50,			32,			0,			50,			0,		
						0,			80,			0,			80,			0,			80,			0,			100,		100,	
						0,			160,		30,			0,			80,			0,			100,		27,			0,			
						25,			25,					
	},	-- Corner Radius [m], 0 for Straight
	Slope = {    		0,			0,			1,			0,			0,			-1,			-1,			0,			2,			
						1,			0,			2,			2,			0,			-1,			0,			0,			0,	
						0,			5,			2,			-1,			-8,			-3,			0,			0,			0,		
						0,			-5,			-2,			0,			1,			1,			0,			-1,			-3,		
						-8,			-1,			-1,			0,			1,			3,			4,			0,			-3,		
						-1,			-4,			-1,			5,			-1,			-1,			2,			4,			3,		
						2,			1,			1,			1,			0,			1,			2,			0,			-2,	
						-2,			1,			2,			-1,			0,			0,			0,			1,			1,			
						-1,			-1,						
	},	-- [%] (-: descending, +: climbing)
	Sportiness = {    	0,			0,			0,			0,			0,			0,			0,			0,			0,			
						0,			0,			0,			0,			0,			0,			0,			0,			0,		
						0,			0,			0,			0,			0,			0,			0,			0,			0,		
						0,			0,			0,			0,			0,			0,			0,			0,			0,		
						0,			0,			0,			0,			0,			0,			0,			0,			0,		
						0,			0,			0,			0,			0,			0,			0,			0,			0,		
						0,			0,			0,			0,			0,			0,			0,			0,			0,	
						0,			0,			0,			0,			0,			0,			0,			0,			0,	
						0,			0,					
	},	-- 0: no problems, 5: problems with untame car	
	Camber = {			0,			0,			1,			0,			0,			15,			10,			-10,		1,			
						5,			-5,			1,			5,			0,			-5,			5,			-5,			-10,		
						-5,			0,			0,			0,			0,			5,			3,			0,			0,		
						0,			3,			5,			3,			0,			-5,			2,			5,			-10,		
						-1,			-3,			0,			0,			0,			2,			1,			-3,			-7,		
						-10,		-6,			-1,			0,			4,			6,			1,			1,			-1,		
						0,			1,			0,			-1,			0,			1,			0,			-2,			-1,	
						-1,			-2,			-9,			-1,			-1,			0,			-1,			-6,			-1,		
						1,			-1,			
	},	-- [°] (positive values: banking to left /, negative: banking to right \)
	Split1 = 1606,					--Dogleg
	Split2 = 3212,					--Upper
}
